commit:     12d45fe5817ea1887591231e5a546fd687a76150
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  5 05:18:58 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Apr  5 05:18:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12d45fe5

dev-python/nbclassic: Bump to 0.5.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nbclassic/Manifest               |  1 +
 dev-python/nbclassic/nbclassic-0.5.5.ebuild | 85 +++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/dev-python/nbclassic/Manifest b/dev-python/nbclassic/Manifest
index 9d872263ebe1..e4168dac1bce 100644
--- a/dev-python/nbclassic/Manifest
+++ b/dev-python/nbclassic/Manifest
@@ -1,3 +1,4 @@
 DIST nbclassic-0.5.1.tar.gz 20178622 BLAKE2B 
1ff79c9af218011c697016ecef149f42e683607eebb8e199ef75957d9d3127858ce8f443aeedb60844e3277b4c8cd4959d123658a5103ab2112fec469ef01a96
 SHA512 
1dabc27ad115d1961e7881e7a51653449cae291c74aea222bbf92d49cb7bc9657ae1f1d9a81eafbd70bc0cafd57b75cd2c76bebf91aabc5fdd9eede534f1cec9
 DIST nbclassic-0.5.3.tar.gz 20199979 BLAKE2B 
aa509bbd2bab51b94f475e81b7e1c5661370e850680df8f64c86d76ff2aed7a84a0e6c00f36a695ef7f84cdc731fb7613107abc96fb13a3127ded6689d6e81a1
 SHA512 
07e26d4cb30e3388420ced182a31a050419f4a872256efca6684e4af0e08ec8bf7f6f14f127fe1391457ad5fc792377a1a7bafc0fa1a92eec455454c6321a9ec
 DIST nbclassic-0.5.4.tar.gz 20200456 BLAKE2B 
65f571da08f7b101e369aaa7e80d969a6b1ee989d7eea17d7de2638d4908c27dd20a874ee990f65a8fd7dd4535b2d518e4392501e5badc3fec309acfc22e5ff0
 SHA512 
f85e0388c02a4f601b00329787152fa74862e7a5d9148b63d52a48395898b3428d3b07f0733fa9a0b5336e37d6fb441585555e45e2e265bba6bb9b82f45e7bbc
+DIST nbclassic-0.5.5.tar.gz 20200594 BLAKE2B 
43de88221af5461e2814f7d8963d7f9f675463f116092d1fb40648a8a14065aa5888ad207b1d845884f9b5b6d6a65a8f6197e94661b7a255c84d5b34ea0c5c99
 SHA512 
54e22ee41a2cb497c3792b74213c13dfbcef7a8a6fb42e48a06aa6969987cec39bf0cfa835e24062e8181bd732cf6b6855f9e834a586b15c584b47df06455b34

diff --git a/dev-python/nbclassic/nbclassic-0.5.5.ebuild 
b/dev-python/nbclassic/nbclassic-0.5.5.ebuild
new file mode 100644
index 000000000000..7bda1e205baf
--- /dev/null
+++ b/dev-python/nbclassic/nbclassic-0.5.5.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+DISTUTILS_USE_PEP517=jupyter
+
+inherit distutils-r1 pypi xdg-utils
+
+DESCRIPTION="Jupyter Notebook as a Jupyter Server Extension"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyter/nbclassic/
+       https://pypi.org/project/nbclassic/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~riscv ~x86"
+
+RDEPEND="
+       dev-python/argon2-cffi[${PYTHON_USEDEP}]
+       dev-python/ipykernel[${PYTHON_USEDEP}]
+       dev-python/ipython_genutils[${PYTHON_USEDEP}]
+       dev-python/jinja[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+       >=dev-python/jupyter_core-4.6.1[${PYTHON_USEDEP}]
+       >=dev-python/nbconvert-5[${PYTHON_USEDEP}]
+       dev-python/nbformat[${PYTHON_USEDEP}]
+       >=dev-python/nest_asyncio-1.5[${PYTHON_USEDEP}]
+       >=dev-python/notebook_shim-0.1.0[${PYTHON_USEDEP}]
+       dev-python/prometheus_client[${PYTHON_USEDEP}]
+       >=dev-python/send2trash-1.8.0[${PYTHON_USEDEP}]
+       >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+       >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+       >=dev-python/traitlets-4.2.1[${PYTHON_USEDEP}]
+"
+PDEPEND="
+       <dev-python/notebook-7[${PYTHON_USEDEP}]
+"
+
+# dev-python/nbval is missing impls
+BDEPEND="
+       test? (
+               dev-python/jupyter-server-terminals[${PYTHON_USEDEP}]
+               dev-python/pytest-jupyter[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+               dev-python/testpath[${PYTHON_USEDEP}]
+       )
+       doc? (
+               virtual/pandoc
+       )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+       dev-python/sphinx-rtd-theme \
+       dev-python/nbsphinx \
+       dev-python/sphinxcontrib-github-alt \
+       dev-python/myst-parser \
+       dev-python/ipython_genutils
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest -p pytest_tornasync.plugin
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       # move /usr/etc stuff to /etc
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_desktop_database_update
+       xdg_icon_cache_update
+}

Reply via email to